Subject: bug#13793: 24.3.50; M-x broken in viper and X

From: Stefan Monnier <[email-masked]>
Date: Tue, 26 Feb 2013 09:10:28 -0500

>> [ Modulo some dance à la evil-esc-mode to add/remove this binding so
>> that code that adds escape sequences to this map never bumps into the
>> [escape] mapping.  ]

> Maybe one question, because I'm not too familiar with translation
> keymaps. What do you think is the best solution to this
> add-escape-sequences-to-input-decode-map-problem? The only possibility
> that comes into my mind would be to advice `define-key` so that
> `evil-normal-esc-map` is temporarily put back into `input-decode-map`.
> Is there a better way than using such an advice?

I guess an advice might work (it probably wouldn't need to put the map
back, just let-bind a variable that causes the filter function to return
evil-normal-esc-map without bothering to sit-for).
But it doesn't sound very appealing.

Maybe "enable evil-esc-mode in post-command-hook and disable it in
pre-command-hook" might work?

        Stefan